Subject: bug#51733: 27.1; Detect impossible email addresses better

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 10 Nov 2021 05:44:05 +0100

Eli Zaretskii <[email-masked]> writes:

>> Do we have a predicate somewhere that says whether a string is suspicious
>> based on confusables and r2l markers and stuff?
>
> No.  We have the infrastructure for detecting the reordering, though.

I thought I vaguely remembered you writing something in this area in
conjunction with some URL stuff some years back, but I don't recall what
happened to it.

Hm...  and there's uni-confusables in GNU ELPA?  Should we have that in
core instead?  (Or in addition.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no